import 'package:flutter/material.dart';
import 'package:practica1_flutter/src/config/routes.dart';
import 'package:practica1_flutter/src/config/routes.dart'; // Importa el archivo de rutas

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Flutter Demo',
      theme: ThemeData(
        colorScheme: ColorScheme.fromSeed(seedColor: Colors.deepPurple),
        useMaterial3: true,
      ),
      //home: myWidget() : Se quita la propiedad home para permitir la navegación basada en rutas
      initialRoute: 'login', // se define la ruta inicial
      routes: getApplicationRoutes(), // Se usa las rutas definidas en routes.dart y se quito el myWidget
    );
  }
}

class MyWidget extends StatelessWidget {
  const MyWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar( // Barra que se encuentra en la parte superior
        title: Text("Prueba flutter estamo en el main "), // Agregar titulo en appBar
        backgroundColor: Colors.lightBlue, // Agregar color en la appBar
        actions: const [ // Agregar iconos
          Icon(Icons.search),
          Icon(Icons.menu)
        ],
      ),
      body: Column(children: []), // Va a tener varios hijos
    );
  }
}
